Emailbox
========
An really simple mailing list app

Configuration
=============
in data/config.json
```json
{
    "Email":{
		"Host": "YourEmailHostname",
		"User": "theusernamewithoutdomain",
		"Pass": "thepassword",
		"Port": 587,
		"Encryption": "StartTls",
		"Email": "theemailaddress"
	},
    "Name": "The name of mailing list",
    "Port": 51777,
    "Website": "https://example.com/",
    "ActualEmailSubject": "The subject for mailing list email"
}
```

Runtime
=======
You will need dotnet (if using dotnet 8, you must edit csproj TargetFramework to be net8.0) [here](https://dotnet.microsoft.com/en-us/download)

To Send out emails
==================

Without custom data path
```bash
$ dotnet run send
```

With custom data path
```bash
$ dotnet run send "PATHTODATAPATH"
```

To Serve
========

Without custom data path
```bash
$ dotnet run serve
```

With custom data path
```bash
$ dotnet run serve "PATHTODATAPATH"
```

Uses
=====
- [Tesses.WebServer](https://gitlab.tesses.net/tesses50/tesses.webserver) (Mine)
- [LiteDb](https://www.nuget.org/packages/LiteDB)
- [MailKit](https://www.nuget.org/packages/MailKit)